{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.fish;
in {
  options.marleyos.programs.fish.enable = lib.mkEnableOption "fish";

  config = lib.mkIf cfg.enable {
    programs.fish = {
      enable = true;
      useBabelfish = true;
    };

    users.defaultUserShell = config.programs.fish.package;
  };
}
